Bug 754858 - as7: discovery fails with newer versions of as7.1
as7: discovery fails with newer versions of as7.1
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.3.0
Assigned To: Libor Zoubek
Mike Foley
:
Depends On: 754838
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-11-17 17:25 EST by Heiko W. Rupp
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 754838
Environment:
Last Closed: 2012-02-07 14:22:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-11-17 17:25:51 EST
THis bug is to further work on the issue on top of the commits cited at the bottom.


+++ This bug was initially created as a clone of Bug #754838 +++

As7.1 has changed the setup of the management port to now also use a socket-binding reference.
The current code is not able to discover that versions and fails with an exception.

Stop-gap fix is to assume a default port if no other port is given in the 

<management-interfaces> section

As7.1a2:

 <management-interfaces>
            <native-interface security-realm="ManagementRealm">
                <socket-binding native="management-native"/>
            </native-interface>
            <http-interface security-realm="ManagementRealm">
                <socket-binding http="management-http"/>
            </http-interface>
        </management-interfaces>
and
 <socket-binding name="management-http" interface="management" port="9990"/>

older versions and eap6a2 ( dr5: )

        <management-interfaces>
            <native-interface interface="management" port="9999"/>
            <http-interface interface="management" port="9990"/>
        </management-interfaces>

--- Additional comment from hrupp@redhat.com on 2011-11-17 16:37:04 EST ---

In addition the hostname is also not correctly determined.

--- Additional comment from hrupp@redhat.com on 2011-11-17 17:24:16 EST ---

Commits

aad83e7 in release branch
f2edb384f3 in master

check for empty port and/or host and use default values in that case.
Comment 1 Heiko W. Rupp 2011-12-20 07:21:24 EST
19097edb5d591dae5ae6fdf7565b682cd5b1506c in master
Comment 2 Libor Zoubek 2011-12-22 12:30:57 EST
EAP6 DR8 is discovered fine both Standalone and DomainController
Comment 3 Mike Foley 2012-02-07 14:22:30 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.